/*
 *      Copyright (C) 2009 Four J's Development Tools Europe, Ltd.
 *      http://www.fourjs.com
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software Foundation, 
 *  Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 */
#ifndef _CONFIG_DIALOG_H_
#define _CONFIG_DIALOG_H_

#include <QDialog>
#include "configWidget.h"

class ConfigDialog:public QDialog
{
    Q_OBJECT
    public:
    ConfigDialog(const QString& title,Config* cfg,int midsession,int protcfginfo);
    ~ConfigDialog();

    public slots:
    int exec();

    protected:
    void resizeEvent(QResizeEvent* e);

    private:
    ConfigWidget _configWidget;
    Config* _cfg;
    int _midSession;
    int _protCfgInfo;
};

#endif
